Subject: Re: [PATCH 0/2] git-p4: fix submit regression with --use-client-spec

From: Pete Wyckoff <[email-masked]>
Date: Sun, 26 Feb 2012 19:25:14 -0500

[email-masked] wrote on Sun, 26 Feb 2012 16:18 -0800:
> Pete Wyckoff <[email-masked]> writes:
> 
> > This pair of patches fixes a regression that happened with ecb7cf9
> > (git-p4: rewrite view handling, 2012-01-02).  There are two factors that
> > affect where files go in the client when submitting:  the cilent spec,
> > and the depot path.  When the depot path was not exactly the root of
> > the client, submit fails.
> >
> > Fix this by always using the true client root.  And also notice that
> > somebody has to tell the submit path that it should be looking at the
> > cilent spec.  Save useClientSpec in a configuration variable if it
> > was specified as an option on the command line.
> >
> > Junio: can you put this on maint to go out with the next 1.9.x?
> 
> Surely and thanks.
> 
> Your "p4: submit with wildcards" seems to conflict with this change and
> may need to be rebased, though.

Ah, yes.  The conflicting chunks can be added in any order above
class P4Command.  I'll rebase and resend in a few days, after
waiting for review comments.

		-- Pete